Package de.willuhn.jameica.hbci.passports.pintan

# Class PinTanConfigFactory

java.lang.Object
de.willuhn.jameica.hbci.passports.pintan.PinTanConfigFactory

public class PinTanConfigFactory extends Object
Factory zum Laden, Erzeugen und Finden von PIN/TAN-Konfigurationen.

## Constructor Summary

Constructors
Constructor
Description
`PinTanConfigFactory()`

## Method Summary

Modifier and Type
Method
Description
`static PinTanConfig`
`create()`
Erstellt eine neue PIN/Tan-Config.
`static File`
`createFilename()`
Erzeugt eine neue Config-Datei.
`static void`
`delete(PinTanConfig config)`
Loescht die genannte Config.
`static PinTanConfig`
`findByKonto(Konto konto)`
Liefert die zum uebergebenen Konto gehoerende PIN/Tan-Config oder `null` wenn keine gefunden wurde.
`static de.willuhn.datasource.GenericIterator`
`getConfigs()`
Liefert die Liste der existierenden Pin/Tan-Konfigurationen.
`static PassportLoader`
`load(File f)`
Erzeugt ein Passport-Objekt basierend auf der uebergebenen Config.
`static void`
`store(PinTanConfig config)`
Speichert die Konfiguration.
`static File`
`toAbsolutePath(String filename)`
Macht aus dem Dateinamen einer Passport-Datei eine absolute Pfadangabe.
`static String`
`toRelativePath(String file)`
Macht aus der Pfadangabe eine relative Angabe - enthaelt dann also nur noch den Dateinamen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PinTanConfigFactory

public PinTanConfigFactory()

## Method Details

### create

public static PinTanConfig create() throws Exception
Erstellt eine neue PIN/Tan-Config.

Returns:
  neue Config.
Throws:
  `Exception`

### store

public static void store(PinTanConfig config) throws Exception
Speichert die Konfiguration.

Parameters:
  `config` -
Throws:
  `Exception`

### delete

public static void delete(PinTanConfig config) throws de.willuhn.util.ApplicationException
Loescht die genannte Config.

Parameters:
  `config` - die zu loeschende Config.
Throws:
  `de.willuhn.util.ApplicationException`

### load

public static PassportLoader load(File f)
Erzeugt ein Passport-Objekt basierend auf der uebergebenen Config.

Parameters:
  `f` - das HBCI4Java-Config-File.
Returns:
  Passport. Wir liefern hier ein Future zurueck, damit das eigentliche Laden erst bei Bedarf stattfinden muss.

### findByKonto

public static PinTanConfig findByKonto(Konto konto) throws RemoteException, de.willuhn.util.ApplicationException
Liefert die zum uebergebenen Konto gehoerende PIN/Tan-Config oder `null` wenn keine gefunden wurde.

Parameters:
  `konto` - Konto, fuer das die Config gesucht wird.
Returns:
  Pin/Tan-config des Kontos oder null wenn keine gefunden wurde.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getConfigs

public static de.willuhn.datasource.GenericIterator getConfigs() throws RemoteException
Liefert die Liste der existierenden Pin/Tan-Konfigurationen.

Returns:
  Liste der Konfigurationen.
Throws:
  `RemoteException`

### createFilename

public static File createFilename() throws de.willuhn.util.ApplicationException
Erzeugt eine neue Config-Datei.

Returns:
  Passport-File.
Throws:
  `de.willuhn.util.ApplicationException`

### toAbsolutePath

public static File toAbsolutePath(String filename)
Macht aus dem Dateinamen einer Passport-Datei eine absolute Pfadangabe. Die Funktion erkennt selbst, ob es sich bereits um eine absolute Pfadangabe handelt und liefert den Pfad in dem Fall unveraendert zurueck. BUGZILLA 276

Parameters:
  `filename` - Dateiname.
Returns:
  Absolute Pfadangabe

### toRelativePath

public static String toRelativePath(String file)
Macht aus der Pfadangabe eine relative Angabe - enthaelt dann also nur noch den Dateinamen. Die Funktion erkennt selbst, ob es sich bereits um einen Dateinamen ohne Pfadangabe handelt und gibt den Namen in dem Fall unveraendert zurueck. BUGZILLA 276

Parameters:
  `file` - Pfadangabe.
Returns:
  Dateiname.